## gcc-14-cross 9+rpi1

=== debian/changelog ===
gcc-14-cross (9+rpi1) trixie-staging; urgency=medium

  [changes brought forward from gcc-10-cross 11+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Sep 2020 23:26:27 +0000]
  * Build sufficient cross-compilers on armhf to build u-boot.

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 29 Aug 2025 00:33:44 +0000
