=== debian/control ===
Source: gcc-14-cross
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.0
Build-Depends: gcc-14-source (>= 14.2.0-19~),
  gcc-14-base (>= 14.2.0-19~),
  binutils-multiarch (>= 2.41-4),
  autoconf2.69, bison (>= 1:2.3),
  chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32 armhf], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32 armhf], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32 armhf], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x armhf],
  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32 armhf], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x armhf], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32 armhf], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32 armhf],
  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32 armhf], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x armhf],
  libisl-dev (>= 0.26-3~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-14,
  gccgo-14,
  gdc-14,
  gm2-14 [!powerpc !ppc64 !x32],
  gnat-14 [!m32r !sh3 !sh3eb !sh4eb],
  xz-utils, zlib1g-dev, libzstd-dev, python3, time,
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross/tree/gcc-14-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git -b gcc-14-cross
Rules-Requires-Root: binary-targets

Package: gcc-14-cross-base
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-14-x86-64-linux-gnu-base
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc-s1-amd64-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libgcc-14-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-14 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-s1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Provides: lib32gcc-s1-amd64-dcv1
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-14-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-14-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-s1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: libx32gcc-s1-amd64-dcv1
Description: GCC support library (x32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libx32gcc-14-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-14-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-14-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-14-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-14-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-14-doc (>= ${gcc:SoftVersion}), gcc-14-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-amd64-cross, libgomp1-dbg-amd64-cross, libitm1-dbg-amd64-cross, libatomic1-dbg-amd64-cross, libtsan2-dbg-amd64-cross, libbacktrace1-dbg-amd64-cross, libquadmath-dbg-amd64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for amd64 architecture.

Package: gcc-14-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-14-plugin-dev-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-14-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-14-locales (>= ${gcc:SoftVersion})
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for amd64 architecture.

Package: g++-14-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), libstdc++-14-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-x86-64-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-14-doc (>= ${gcc:SoftVersion}), libstdc++6-14-dbg-amd64-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for amd64 architecture.

Package: g++-14-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32 armhf
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), g++-14-x86-64-linux-gnu (= ${gcc:Version}), gcc-14-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libgomp1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: lib32gomp1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: GCC OpenMP (GOMP) support library (32bit)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libx32gomp1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library (x32)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libitm1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Transactional Memory Library
 GNU Transactional Memory Library (libitm) provides transaction support for
 accesses to the memory of a process, enabling easy-to-use synchronization of
 accesses to shared memory by several threads.

Package: lib32itm1-amd64-cross
Architecture: all
Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ${confl:lib32}
Description: GNU Transactional Memory Library (32bit)
 GNU Transactional Memory Library (libitm) provides transaction support for
 accesses to the memory of a process, enabling easy-to-use synchronization of
 accesses to shared memory by several threads.

Package: libx32itm1-amd64-cross
Architecture: all
