## gcc-14-cross 10

=== debian/changelog ===
gcc-14-cross (10) unstable; urgency=medium

  * Build using gcc 14.3.0-5.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2025 07:14:20 +0200
