=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.7.0
-Build-Depends: gcc-14-source (>= 14.2.0-19~),
-  gcc-14-base (>= 14.2.0-19~),
+Build-Depends: gcc-14-source (>= 14.3.0-5~),
+  gcc-14-base (>= 14.3.0-5~),
   binutils-multiarch (>= 2.41-4),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32 armhf], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32 armhf], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32 armhf], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x armhf],
-  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32 armhf], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x armhf], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32 armhf], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32 armhf],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32 armhf], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32 armhf], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x armhf],
+  binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32],
+  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
   libisl-dev (>= 0.26-3~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -40,7 +40,7 @@
  contained in the GNU Compiler Collection (GCC).
 
 Package: gcc-14-x86-64-linux-gnu-base
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: ${misc:Depends}
 Description: GCC, the GNU Compiler Collection (base package)
  This package contains files common to all languages and libraries
@@ -114,7 +114,7 @@
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
 Package: gcc-14-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-14-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-14-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dep:libcdev}
 Suggests: ${gcc:multilib}, gcc-14-doc (>= ${gcc:SoftVersion}), gcc-14-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-amd64-cross, libgomp1-dbg-amd64-cross, libitm1-dbg-amd64-cross, libatomic1-dbg-amd64-cross, libtsan2-dbg-amd64-cross, libbacktrace1-dbg-amd64-cross, libquadmath-dbg-amd64-cross, ${dep:libcloog}, ${dep:gold}
@@ -125,7 +125,7 @@
  This package contains C cross-compiler for amd64 architecture.
 
 Package: gcc-14-multilib-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
 Description: GNU C compiler (multilib files)
  This is the GNU C compiler, a fairly portable optimizing compiler for C.
@@ -134,7 +134,7 @@
  and dependencies for the non-default multilib architecture(s).
 
 Package: gcc-14-plugin-dev-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
 Description: Files for GNU GCC plugin development.
  This package contains (header) files for GNU GCC plugin development. It
@@ -142,7 +142,7 @@
  plugins.
 
 Package: cpp-14-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: gcc-14-locales (>= ${gcc:SoftVersion})
 Description: GNU C preprocessor
@@ -155,7 +155,7 @@
  This package contains preprocessor configured for amd64 architecture.
 
 Package: g++-14-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), libstdc++-14-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: c++-compiler-x86-64-linux-gnu, c++abi2-dev
 Suggests: ${gxx:multilib}, gcc-14-doc (>= ${gcc:SoftVersion}), libstdc++6-14-dbg-amd64-cross
@@ -165,7 +165,7 @@
  This package contains C++ cross-compiler for amd64 architecture.
 
 Package: g++-14-multilib-x86-64-linux-gnu
-Architecture: arm64 i386 ppc64el s390x x32 armhf
+Architecture: arm64 i386 ppc64el s390x x32
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), g++-14-x86-64-linux-gnu (= ${gcc:Version}), gcc-14-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${dep:libcxxbiarchdbg}
 Description: GNU C++ compiler (multilib files)
@@ -202,16 +202,3 @@
 Description: GNU Transactional Memory Library
  GNU Transactional Memory Library (libitm) provides transaction support for
  accesses to the memory of a process, enabling easy-to-use synchronization of
- accesses to shared memory by several threads.
-
-Package: lib32itm1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Description: GNU Transactional Memory Library (32bit)
- GNU Transactional Memory Library (libitm) provides transaction support for
- accesses to the memory of a process, enabling easy-to-use synchronization of
- accesses to shared memory by several threads.
-
-Package: libx32itm1-amd64-cross
-Architecture: all
