=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
 
 ifeq ($(GCC_VER),14)
-  MIN_VER_GCC      := 14.2.0-19~
-  PPA_VER_GCC      := 14.2.0-19~
+  MIN_VER_GCC      := 14.3.0-5~
+  PPA_VER_GCC      := 14.3.0-5~
 endif
 
 ifndef MIN_VER_GCC
@@ -55,19 +55,19 @@
 HOST_ARCHS_alpha = amd64 arm64 i386 ppc64el x32
 # FIXME: adding amd64 in HOST_ARCHS_amd64 hard codes the indep build
 # to amd64 buildds ...
-HOST_ARCHS_amd64 = amd64 arm64 i386 ppc64el s390x x32 armhf
+HOST_ARCHS_amd64 = amd64 arm64 i386 ppc64el s390x x32
 HOST_ARCHS_arc = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el s390x
 HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x armhf
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x
 HOST_ARCHS_hppa = amd64 arm64 i386 ppc64el x32
-HOST_ARCHS_i386 = amd64 arm64 ppc64el s390x x32 armhf
+HOST_ARCHS_i386 = amd64 arm64 ppc64el s390x x32
 HOST_ARCHS_loong64 = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_m68k = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_powerpc = amd64 arm64 i386 ppc64el s390x x32
 HOST_ARCHS_ppc64 = amd64 i386 ppc64el s390x x32
 HOST_ARCHS_ppc64el = amd64 arm64 i386 ppc64 s390x x32
-HOST_ARCHS_riscv64 = amd64 arm64 i386 ppc64el s390x x32 armhf
+HOST_ARCHS_riscv64 = amd64 arm64 i386 ppc64el s390x x32
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_sh4 = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_sparc64 = amd64 arm64 i386 ppc64el x32
@@ -105,8 +105,6 @@
     else ifeq ($(HOST_ARCH),arm64)
       CROSS_ARCHS ?= amd64 armhf i386 ppc64el riscv64 s390x \
 	$(if $(filter $(vendor), Ubuntu), powerpc)
-    else ifeq ($(HOST_ARCH),armhf)
-      CROSS_ARCHS = amd64 i386 riscv64 arm64
     else ifeq ($(HOST_ARCH),ppc64)
       CROSS_ARCHS ?= ppc64el
     else ifeq ($(HOST_ARCH),ppc64el)
@@ -202,3 +200,6 @@
   EXTRA_BUILD_DEPS += libc6-dev-i386-amd64-cross [$(HOST_ARCHS_amd64)],
   EXTRA_BUILD_DEPS += libc6-dev-x32-amd64-cross [$(HOST_ARCHS_amd64)],
   ifeq ($(skip_common_packages),yes)
+    GCC_BUILD_DEPS += lib32gcc-s1-amd64-cross [$(HOST_ARCHS_amd64)],
+    GCC_BUILD_DEPS += libx32gcc-s1-amd64-cross [$(HOST_ARCHS_amd64)],
+  endif
