## gcc-14-cross 11

=== debian/changelog ===
gcc-14-cross (11) unstable; urgency=medium

  * Stop building packages built by gcc 15.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2025 06:07:52 +0200
