## gcc-14-cross 12

=== debian/changelog ===
gcc-14-cross (12) unstable; urgency=medium

  * Hard-code cross version for this upload.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2025 20:06:07 +0200
