=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   binutils-multiarch (>= 2.41-4),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
-  gperf (>= 3.0.1), 
+  gperf (>= 3.0.1), lib32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libx32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], lib64gcc-s1-i386-cross [amd64 arm64 ppc64el s390x x32], libx32gcc-s1-i386-cross [amd64 arm64 ppc64el s390x x32], lib32gcc-s1-s390x-cross [amd64 i386 x32 arm64 ppc64el],
   binutils-x86-64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.41-4) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.41-4) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.41-4) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.41-4) [amd64 arm64 ppc64el s390x x32],
   libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
   linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
@@ -46,18 +46,6 @@
  This package contains files common to all languages and libraries
  contained in the GNU Compiler Collection (GCC).
 
-Package: libgcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libgcc-s1-amd64-dcv1
-Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: libgcc-14-dev-amd64-cross
 Architecture: all
 Section: libdevel
@@ -68,19 +56,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: lib32gcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Provides: lib32gcc-s1-amd64-dcv1
-Description: GCC support library (32 bit Version)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: lib32gcc-14-dev-amd64-cross
 Architecture: all
 Section: libdevel
@@ -90,18 +65,6 @@
 Description: GCC support library (32 bit development files)
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
-
-Package: libx32gcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Provides: libx32gcc-s1-amd64-dcv1
-Description: GCC support library (x32)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
 
 Package: libx32gcc-14-dev-amd64-cross
 Architecture: all
@@ -174,31 +137,42 @@
  On architectures with multilib support, the package contains files
  and dependencies for the non-default multilib architecture(s).
 
-Package: libgomp1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: lib32gomp1-amd64-cross
+Package: libx32asan8-amd64-cross
 Architecture: all
 Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Description: GCC OpenMP (GOMP) support library (32bit)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
+Description: AddressSanitizer -- a fast memory error detector (x32)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: libx32gomp1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library (x32)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
+Package: gobjc++-14-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el s390x x32
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc-14-x86-64-linux-gnu (= ${gcc:Version}), g++-14-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-14-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Suggests: ${gobjcxx:multilib}, gcc-14-doc (>= ${gcc:SoftVersion})
+Provides: objc++-compiler-x86-64-linux-gnu
+Description: GNU Objective-C++ compiler
+ This is the GNU Objective-C++ compiler, which compiles
+ Objective-C++ on platforms supported by the gcc compiler. It uses the
+ gcc backend to generate optimized code.
 
-Package: libitm1-amd64-cross
-Architecture: all
-Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GNU Transactional Memory Library
- GNU Transactional Memory Library (libitm) provides transaction support for
- accesses to the memory of a process, enabling easy-to-use synchronization of
+Package: gobjc++-14-multilib-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el s390x x32
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gobjc++-14-x86-64-linux-gnu (= ${gcc:Version}), g++-14-multilib-x86-64-linux-gnu (= ${gcc:Version}), gobjc-14-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GNU Objective-C++ compiler (multilib files)
+ This is the GNU Objective-C++ compiler, which compiles Objective-C++ on
+ platforms supported by the gcc compiler.
+ .
+ On architectures with multilib support, the package contains files
+ and dependencies for the non-default multilib architecture(s).
+
+Package: gobjc-14-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el s390x x32
+Depends: gcc-14-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-14-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-14-dev-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Suggests: ${gobjc:multilib}, gcc-14-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-amd64-cross
+Provides: objc-compiler-x86-64-linux-gnu
+Description: GNU Objective-C compiler
+ This is the GNU Objective-C compiler, which compiles
+ Objective-C on platforms supported by the gcc compiler. It uses the
+ gcc backend to generate optimized code.
+
+Package: gobjc-14-multilib-x86-64-linux-gnu
+Architecture: arm64 i386 ppc64el s390x x32
