=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
   DEB_VER_ACT    := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-$(GCC_VER)-cross),arm64,ppc64))
 endif
 CROSS_EXT       := cross$(DEB_VER_ACT)
+CROSS_EXT       := cross3
 
 ifeq ($(CROSS_EXT),cross)
   $(error macros CROSS_EXT and DEB_VER_ACT are not correctly set ($(CROSS_EXT)/$(DEB_VER_ACT)))
