## gcc-14-cross 13

=== debian/changelog ===
gcc-14-cross (13) unstable; urgency=medium

  * Build using gcc 14.3.0-7.
  * Build libgphobos on ppc64el and sparc64.
  * Work around an issue in dpkg-cross not handling shared libs dependencies
    in -dev packages.
  * Don't build s390x multilib packages for Ubuntu 24.10 and newer.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2025 15:22:41 +0200
